Subject: [sup-talk] [BUG?] label-list-mode doesn't update

From: [email-masked] (Andrei Thorp)
Date: Thu, 11 Jun 2009 09:17:12 -0400

This is forwarded from the middle of another thread. I figured it got lost.

On Tue, Jun 9, 2009 at 9:33 AM, Andrei Thorp<garoth at gmail.com> wrote:
> Yeah, I guess that makes sense. It is a rather nice interface
> actually, I didn't really think about it for some reason.

I just actually ran a quick test (with 0.8) and it looks like the
label-list-mode fails to update automatically D:

What I did was put on the label-list-mode, manually send myself an
e-mail, re-run fetchmail to grab it (I get a notification via procmail
saying it came in). Then I remember that sup polls at intervals, so I
wait.

Eventually, the status bar at the bottom says that there is a new
message in the inbox, but the Inbox label does not get updated in my
view. It still says 0/0.

I press x to go back to the inbox screen, it has the mail. I go back
to label-list-mode, and now it registers it.

So I guess I'd call that a bug actually, and it's unlikely that people
operate out of this mode habitually or else this would have probably
been found.

(Unless it already has?)

Cheers,

-AT